Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.propertybroker.property
Interface Property

All Known Subinterfaces:
  PropertyController

    public interface Property

Encapsulates property information. A property represents a data type which can be produced or consumed. The type information is used by the Property Broker to determine matches between properties produced by a source and properties consumed by a target. This interface does not have any dependencies on the specific runtime environment, as it is intended for reuse across different component runtime environments where brokered communication across components may be supported.

In the WebSphere Portal environment, `PropertyBrokerService` may be used to create instances of `Property`. After instantiation, required fields must be set using setter methods on `PropertyController`. Instead of such explicit creation, properties may be implicitly created by the runtime if information is provided in a WSDL file.
A class which implements this interface must also be `Serializable`.

Since:
  5.1.0.1
See Also:
  `PropertyBrokerService`, `PropertyController`

Method Summary
`java.lang.String` | `getClassname()` Returns class used to encapsulate the property value.
`java.lang.String` | `getClassName()` Deprecated. Use `getClassname` instead.
`java.lang.String` | `getDescription(java.util.Locale locale)` Returns a text description for this property for the provided locale.
`Direction` | `getDirection()` Returns whether the property is produced or consumed.
`java.lang.Object` | `getId()` Returns a globally unique id identifying the property.
`java.lang.String` | `getName()` Returns the name of the property.
`java.lang.String` | `getNamespace()` Returns a string containing the type namespace.
`java.lang.Object` | `getOwningDefinitionId()` Return the id of the owning component this property is associated with.
`java.lang.String` | `getSchemaLocation()` Return a string containing the absolute URL or relative path to a document containing the type schema.
`java.util.Locale[]` | `getSupportedLocales()` Returns the supported locales for the displayable text associated with the property, such as its title and description.
`java.lang.String` | `getTitle(java.util.Locale locale)` Returns a short description for this property for the provided locale.
`java.lang.String` | `getType()` Returns a string containing the property type.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the property. Property names must be unique within the set associated with a component definition. The name is a required field (i.e. must not be null).

  Returns:
    a `String` containing the name of the property.

### getId

    java.lang.Object getId()

  Returns a globally unique id identifying the property. This cannot be set through `PropertyController` but will be set by the runtime once the property has been created and registered. If the `Property` object has been created but not registered, this method will return null.

  Returns:
    an `Object` which serves as the globally unique identifier for the property.

### getType

    java.lang.String getType()

  Returns a string containing the property type. The type is associated with the semantics of the property e.g. PhoneNo, orderID etc. This field is required.

  Returns:
    a `String` containing the property type.

### getNamespace

    java.lang.String getNamespace()

  Returns a string containing the type namespace. A namespace may be used to group related types in a domain of types, to prevent collisions with similarly named types created in a different domain. This is optional; if omitted, no namespace is used. No namespace is indicated by the empty string. If specified, it will be used in conjunction with type to restrict matches.

  Returns:
    a `String` containing the type namespace.
  See Also:
    `getType()`

### getSchemaLocation

    java.lang.String getSchemaLocation()

  Return a string containing the absolute URL or relative path to a document containing the type schema. This is optional. If not specified, an empty string will be returned. If specified, it may be used for validation of the property value.

  Returns:
    a `String` containing the absolute URL or relative path to a schema.

### getDirection

    Direction getDirection()

  Returns whether the property is produced or consumed.

  Returns:
    a `Direction` object indicating the direction
  See Also:
    `Direction`

### getTitle

    java.lang.String getTitle(java.util.Locale locale)

  Returns a short description for this property for the provided locale. Suitable for display by tools or as help text.

  Parameters:
    `locale` - the current locale
  Returns:
    a short description for this property for the provided locale.

### getDescription

    java.lang.String getDescription(java.util.Locale locale)

  Returns a text description for this property for the provided locale. Suitable for display by tools or as help text.

  Parameters:
    `locale` - the current locale
  Returns:
    a text description for this property for the provided locale.

### getClassname

    java.lang.String getClassname()

  Returns class used to encapsulate the property value. The default is `String`.

  Returns:
    a `String` containing the class name of the value of the property.

### getClassName

    java.lang.String getClassName()

  Deprecated. Use `getClassname` instead.

  See Also:
    `getClassname()`

### getOwningDefinitionId

    java.lang.Object getOwningDefinitionId()

  Return the id of the owning component this property is associated with. In a Websphere Portal environment this would be the portlet definition id.

  Returns:
    the owning component id object this property is associated with.

### getSupportedLocales

    java.util.Locale[] getSupportedLocales()

  Returns the supported locales for the displayable text associated with the property, such as its title and description.

  Returns:
    the array of Locales

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD